Package ru.bgcrm.dao.user

# Class UserGroupDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.user.UserGroupDAO

public class UserGroupDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserGroupDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkGroup(int id, int parentId, String title)`
  true если можно добавить скрипт с таким именем в данный каталог
  `void`
  `deleteGroup(int id)`
  `Map<Integer,List<Integer>>`
  `getAllGroupPermsetIds()`
  `Map<Integer,Set<Integer>>`
  `getAllGroupQueueIds()`
  `Group`
  `getGroupById(int id)`
  `List<Group>`
  `getGroupList()`
  `List<Integer>`
  `getGroupPermsetIds(int groupId)`
  `Set<Integer>`
  `getGroupQueueIds(int groupId)`
  `void`
  `searchGroup(Pageable<Group> result, int parentId, String filter)`
  Searches over user groups
  `void`
  `updateGroup(Group group)`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserGroupDAO

    public UserGroupDAO(Connection con)

- ## Method Details

  - ### searchGroup

    public void searchGroup(Pageable<Group> result, int parentId, String filter) throws SQLException
    Searches over user groups
    Parameters:
      `result` - the result
      `parentId` - the parent ID, can't be used with `filter`
      `filter` - the SQL LIKE filter, can't be used with `parentId`
    Throws:
      `SQLException`

  - ### getGroupList

    public List<Group> getGroupList()

  - ### getGroupById

    public Group getGroupById(int id)

  - ### updateGroup

    public void updateGroup(Group group) throws SQLException
    Throws:
      `SQLException`

  - ### deleteGroup

    public void deleteGroup(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getGroupQueueIds

    public Set<Integer> getGroupQueueIds(int groupId) throws SQLException
    Throws:
      `SQLException`

  - ### getGroupPermsetIds

    public List<Integer> getGroupPermsetIds(int groupId) throws SQLException
    Throws:
      `SQLException`

  - ### getAllGroupPermsetIds

    public Map<Integer,List<Integer>> getAllGroupPermsetIds() throws SQLException
    Throws:
      `SQLException`

  - ### getAllGroupQueueIds

    public Map<Integer,Set<Integer>> getAllGroupQueueIds() throws SQLException
    Throws:
      `SQLException`

  - ### checkGroup

    public boolean checkGroup(int id, int parentId, String title) throws SQLException
    true если можно добавить скрипт с таким именем в данный каталог
    Parameters:
      `parentId` -
      `name` -
    Returns:
    Throws:
      `SQLException`